#include<stdio.h>
#include<stdlib.h>
int main()
{
	int n,k,b,p,r=0;
	scanf("%d %d",&n, &k);
	b=2*n+1;
	int a[b];
	int q[n];
	for(int  i = 0;i<b;i++)
	{
		a[i]=0;
	}
	for(int  i = 0;i<n;i++)
	{
		scanf("%d",&p);
		a[p+n]++;
		if(a[p+n]==k)
		{
			a[p+n]=0;
			q[r]=p;
			r++;
		}
		
	}
	printf("%d\n",r);
	for(int i = 0;i<r;i++)
	{
		printf("%d ",q[i]);
	}
	return 0;
}